Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
    • Aql
    • Icon
    • Import
    • Importsource
    • Iql
    • Object
    • Objectconnectedtickets
    • Objectschema
    • Objecttype
    • Objecttypeattribute
    • Progress
    • Config
    • Global
    Cloud
    Assets / Guides / REST API

    Importsource

    Postman Collection
    OpenAPI
    GET

    Get import source by ID

    Retrieves a specific import source configuration by its ID. If scheduled imports are enabled, the response includes scheduling information.

    Data Security Policy: Exempt from app access rules
    Scopes
    import:import-configuration:cmdb

    Request

    Path parameters

    id

    string

    Required

    Responses

    Import source found

    application/json

    ImportSourceResponse
    GET/importsource/{id}
    1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/ex/jira/{cloudId}/jsm/assets/workspace/{workspaceId}/v1/importsource/{id}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 { "id": "b9f5f167-a7e1-4b3a-9e4f-2c3d4e5f6a7c", "collectionId": "c7d8e9f0-1234-5678-9abc-def012345678", "name": "Daily Server Import", "created": "2024-01-10T10:30:00Z", "updated": "2024-01-12T14:45:00Z", "description": "Automated import of server data", "objectSchemaId": "c7d8e9f0-1234-5678-9abc-def012345678", "importSourceModuleKey": "rlabs-import-type-csv", "defaultConcatenator": ",", "defaultHandleEmptyValues": "IGNORE", "defaultHandleUnknownValues": "IGNORE", "dateFormat": "yyyy-MM-dd", "dateTimeFormat": "yyyy-MM-dd'T'HH:mm:ss'Z'", "importSpecificConfiguration": "{}", "tokenGenerated": true, "isImportSourceSchedulingEnabled": true, "scheduledImportDetails": { "importScheduleId": "a8f5f167-a7e1-4b3a-9e4f-2c3d4e5f6a7b", "startTime": "2024-01-15T02:00:00Z", "runFrequency": "DAILY", "nextScheduledTime": "2024-01-16T02:00:00Z", "createdAt": "2024-01-10T10:30:00Z" } }
    PUT

    Put importsource {importSourceId} mapping

    Provide object schema and mapping configuration for the external import

    Data Security Policy: Exempt from app access rules
    Scopes
    import:import-configuration:cmdb

    Request

    Path parameters

    importSourceId

    string

    Required

    Query parameters

    async

    boolean

    Request bodyapplication/json

    any

    Responses

    This status code has no content.

    PUT/importsource/{importSourceId}/mapping
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 curl --request PUT \ --url 'https://api.atlassian.com/ex/jira/{cloudId}/jsm/assets/workspace/{workspaceId}/v1/importsource/{importSourceId}/mapping' \ --header 'Authorization: Bearer <access_token>' \ --header 'Content-Type: application/json' \ --data '{ "schema": { "objectSchema": { "name": "Disk Analysis Tool", "description": "Data imported from The Disk Analysis Tool", "objectTypes": [ { "externalId": "object-type/hard-drive", "name": "Hard Drive", "description": "A hard drive found during scanning", "attributes": [ { "externalId": "object-type-attribute/duid", "name": "DUID", "description": "Device Unique Identifier", "type": "text", "label": true, "minimumCardinality": 1, "maximumCardinality": 1, "unique": false }, { "externalId": "object-type-attribute/disk-label", "name": "Disk Label", "description": "Hard drive label", "type": "text", "minimumCardinality": 1, "maximumCardinality": 1, "unique": false }, { "externalId": "object-type-attribute/status", "name": "HardDriveStatus", "description": "The hard drive status", "type": "status", "typeValues": [ "Schema Scope Status", "Global Scope Status", "New Status" ] } ], "children": [ { "externalId": "object-type/file", "name": "File", "description": "A file present in a hard drive", "attributes": [ { "externalId": "object-type-attribute/path", "name": "Path", "description": "Path of the file", "type": "text", "label": true, "minimumCardinality": 1, "maximumCardinality": 1, "unique": false }, { "externalId": "object-type-attribute/size", "name": "Size", "description": "Size of the file", "type": "integer", "minimumCardinality": 1, "maximumCardinality": 1, "unique": false } ] } ] } ] }, "statusSchema": { "statuses": [ { "name": "New Status", "description": "", "category": "active" } ] } }, "mapping": { "objectTypeMappings": [ { "objectTypeExternalId": "object-type/hard-drive", "objectTypeName": "Hard Drive", "selector": "hardDrives", "description": "Mapping for Hard Drives", "attributesMapping": [ { "attributeExternalId": "object-type-attribute/duid", "attributeName": "DUID", "attributeLocators": [ "id" ], "externalIdPart": true }, { "attributeExternalId": "object-type-attribute/disk-label", "attributeName": "Disk Label", "attributeLocators": [ "label" ] }, { "attributeExternalId": "object-type-attribute/status", "attributeName": "HardDriveStatus", "attributeLocators": [ "status" ] } ] }, { "objectTypeExternalId": "object-type/file", "objectTypeName": "File", "selector": "hardDrives.files", "description": "Maps files found in hard drives", "attributesMapping": [ { "attributeExternalId": "object-type-attribute/path", "attributeName": "Path", "attributeLocators": [ "path" ], "externalIdPart": true }, { "attributeExternalId": "object-type-attribute/size", "attributeName": "Size", "attributeLocators": [ "size" ] } ] } ] } }'
    PATCH

    Patch importsource {importSourceId} mapping

    Update object schema and mapping configuration for the external import

    Data Security Policy: Exempt from app access rules
    Scopes
    import:import-configuration:cmdb

    Request

    Path parameters

    importSourceId

    string

    Required

    Query parameters

    async

    boolean

    Request bodyapplication/json

    any

    Responses

    This status code has no content.

    PATCH/importsource/{importSourceId}/mapping
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 curl --request PATCH \ --url 'https://api.atlassian.com/ex/jira/{cloudId}/jsm/assets/workspace/{workspaceId}/v1/importsource/{importSourceId}/mapping' \ --header 'Authorization: Bearer <access_token>' \ --header 'Content-Type: application/json' \ --data '{ "$schema": "https://api.stg.atlassian.com/jsm/assets/imports/external/schema/versions/2021_09_15", "schema": { "objectSchema": { "name": "Disk Analysis Tool", "description": "Data imported from The Disk Analysis Tool", "objectTypes": [ { "externalId": "object-type/hard-drive", "name": "Hard Drive", "description": "A hard drive found during scanning", "attributes": [ { "externalId": "object-type-attribute/manufacturer", "name": "Manufacturer", "description": "Manufacturer name", "type": "text" } ], "children": [ { "externalId": "object-type/folder", "name": "Folder", "description": "A folder present in a hard drive", "attributes": [ { "externalId": "object-type-attribute/folder-name", "name": "Name", "description": "Folder name", "type": "text", "label": true } ] }, { "externalId": "object-type/file", "name": "File", "description": "A file present in a hard drive", "attributes": [ { "externalId": "object-type-attribute/path", "name": "Path", "description": "Updated description for the path attribute", "type": "text", "label": true } ] } ] } ] } }, "mapping": { "objectTypeMappings": [ { "objectTypeExternalId": "object-type/hard-drive", "objectTypeName": "Hard Drive", "selector": "hardDrives", "description": "Mapping for Hard Drives", "attributesMapping": [ { "attributeExternalId": "object-type-attribute/duid", "attributeName": "DUID", "attributeLocators": [ "id" ], "externalIdPart": true }, { "attributeExternalId": "object-type-attribute/disk-label", "attributeName": "Disk Label", "attributeLocators": [ "label" ] }, { "attributeExternalId": "object-type-attribute/manufacturer", "attributeName": "Manufacturer", "attributeLocators": [ "manufacturer" ] } ] }, { "objectTypeExternalId": "object-type/folder", "objectTypeName": "Folder", "selector": "hardDrives.folders", "description": "Mapping for Folder", "attributesMapping": [ { "attributeExternalId": "object-type-attribute/folder-name", "attributeName": "Name", "attributeLocators": [ "name" ], "externalIdPart": true } ] } ] } }'
    GET

    Get importsource {importSourceId} mapping progress {resourceId}

    Get the progress of an asynchronous schema and mapping operation

    Data Security Policy: Exempt from app access rules
    Scopes
    import:import-configuration:cmdb

    Request

    Path parameters

    importSourceId

    string

    Required
    resourceId

    string

    Required

    Responses

    The progress of an asynchronous schema and mapping operation

    application/json

    any

    GET/importsource/{importSourceId}/mapping/progress/{resourceId}
    1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/ex/jira/{cloudId}/jsm/assets/workspace/{workspaceId}/v1/importsource/{importSourceId}/mapping/progress/{resourceId}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 { "progressStatus": "FINISHED", "result": "OK", "resultMessage": "Schema and mapping successfully created" }
    GET

    Get importsource {importSourceId} configstatus

    Get the current status of the import configuration

    Data Security Policy: Exempt from app access rules
    Scopes
    import:import-configuration:cmdb

    Request

    Path parameters

    importSourceId

    string

    Required

    Responses

    Returns the status of the import configuration, can be one of: IDLE, DISABLED, MISSING_MAPPING, RUNNING

    application/json

    any

    GET/importsource/{importSourceId}/configstatus
    1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/ex/jira/{cloudId}/jsm/assets/workspace/{workspaceId}/v1/importsource/{importSourceId}/configstatus' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 { "status": "IDLE" }
    GET

    Get importsource {importSourceId} schema-and-mapping

    Get the current schema and mapping of the import configuration

    Data Security Policy: Exempt from app access rules
    Scopes
    import:import-configuration:cmdb

    Request

    Path parameters

    importSourceId

    string

    Required

    Responses

    application/json

    any

    GET/importsource/{importSourceId}/schema-and-mapping
    1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/ex/jira/{cloudId}/jsm/assets/workspace/{workspaceId}/v1/importsource/{importSourceId}/schema-and-mapping' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 { "schema": { "objectSchema": { "name": "docs", "description": "", "objectTypes": [ { "externalId": "object-type/hard-drive", "name": "Hard Drive", "description": "A hard drive found during scanning", "attributes": [ { "name": "Key", "description": "", "type": "text", "label": false, "minimumCardinality": 1, "maximumCardinality": 1, "unique": false }, { "externalId": "object-type-attribute/duid", "name": "DUID", "description": "Device Unique Identifier", "type": "text", "label": true, "minimumCardinality": 1, "maximumCardinality": 1, "unique": false }, { "externalId": "object-type-attribute/disk-label", "name": "Disk Label", "description": "Hard drive label", "type": "text", "label": false, "minimumCardinality": 0, "maximumCardinality": 1, "unique": false } ], "children": [ { "externalId": "object-type/file", "name": "File", "description": "A file present in a hard drive", "attributes": [ { "name": "Key", "description": "", "type": "text", "label": false, "minimumCardinality": 1, "maximumCardinality": 1, "unique": false }, { "externalId": "object-type-attribute/size", "name": "Size", "description": "Size of the file", "type": "integer", "label": false, "minimumCardinality": 0, "maximumCardinality": 1, "unique": false }, { "externalId": "object-type-attribute/path", "name": "Path", "description": "Path of the file", "type": "text", "label": true, "minimumCardinality": 1, "maximumCardinality": 1, "unique": false } ] } ] } ] } }, "mapping": { "objectTypeMappings": [ { "objectTypeExternalId": "object-type/hard-drive", "objectTypeName": "Hard Drive", "selector": "hardDrives", "description": "Mapping for Hard Drives", "attributesMapping": [ { "attributeExternalId": "object-type-attribute/duid", "attributeName": "DUID", "attributeLocators": [ "id" ], "externalIdPart": true }, { "attributeExternalId": "object-type-attribute/disk-label", "attributeName": "Disk Label", "attributeLocators": [ "label" ], "externalIdPart": false } ] }, { "objectTypeExternalId": "object-type/file", "objectTypeName": "File", "selector": "hardDrives.files", "description": "Maps files found in hard drives", "attributesMapping": [ { "attributeExternalId": "object-type-attribute/path", "attributeName": "Path", "attributeLocators": [ "path" ], "externalIdPart": true }, { "attributeExternalId": "object-type-attribute/size", "attributeName": "Size", "attributeLocators": [ "size" ], "externalIdPart": false } ] } ] } }
    POST

    Post importsource {importSourceId} executions

    Move to the data ingestion steps of external imports

    Data Security Policy: Exempt from app access rules
    Scopes
    import:import-configuration:cmdb

    Request

    Path parameters

    importSourceId

    string

    Required

    Responses

    application/json

    any

    POST/importsource/{importSourceId}/executions
    1 2 3 4 curl --request POST \ --url 'https://api.atlassian.com/ex/jira/{cloudId}/jsm/assets/workspace/{workspaceId}/v1/importsource/{importSourceId}/executions' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 { "links": { "submitProgress": "https://api.atlassian.com/jsm/insight/workspace/fd8d86e0-3401-40bd-adb4-bb50b8e39288/v1/importsource/4d4095c3-cb7c-4d59-9b75-a381ea4b1975/executions/07a58b26-e93a-49c6-9381-1fe235943018/progress", "submitResults": "https://api.atlassian.com/jsm/insight/workspace/fd8d86e0-3401-40bd-adb4-bb50b8e39288/v1/importsource/4d4095c3-cb7c-4d59-9b75-a381ea4b1975/executions/07a58b26-e93a-49c6-9381-1fe235943018/data", "getExecutionStatus": "https://api.atlassian.com/jsm/insight/workspace/fd8d86e0-3401-40bd-adb4-bb50b8e39288/v1/importsource/4d4095c3-cb7c-4d59-9b75-a381ea4b1975/executions/07a58b26-e93a-49c6-9381-1fe235943018/status", "cancel": "https://api.atlassian.com/jsm/insight/workspace/fd8d86e0-3401-40bd-adb4-bb50b8e39288/v1/importsource/4d4095c3-cb7c-4d59-9b75-a381ea4b1975/executions/07a58b26-e93a-49c6-9381-1fe235943018" }, "result": "success" }
    DEL

    Delete importsource {importSourceId} executions {importExecutionId}

    Cancel current on-going import

    Data Security Policy: Exempt from app access rules
    Scopes
    import:import-configuration:cmdb

    Request

    Path parameters

    importExecutionId

    string

    Required
    importSourceId

    string

    Required

    Responses

    This status code has no content.

    DEL/importsource/{importSourceId}/executions/{importExecutionId}
    1 2 3 curl --request DELETE \ --url 'https://api.atlassian.com/ex/jira/{cloudId}/jsm/assets/workspace/{workspaceId}/v1/importsource/{importSourceId}/executions/{importExecutionId}' \ --header 'Authorization: Bearer <access_token>'
    PUT

    Put importsource {importSourceId} executions {importExecutionId} progress

    Submit progress of ingesting data

    Data Security Policy: Exempt from app access rules
    Scopes
    import:import-configuration:cmdb

    Request

    Path parameters

    importExecutionId

    string

    Required
    importSourceId

    string

    Required

    Request bodyapplication/json

    any

    Responses

    This status code has no content.

    PUT/importsource/{importSourceId}/executions/{importExecutionId}/progress
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 curl --request PUT \ --url 'https://api.atlassian.com/ex/jira/{cloudId}/jsm/assets/workspace/{workspaceId}/v1/importsource/{importSourceId}/executions/{importExecutionId}/progress' \ --header 'Authorization: Bearer <access_token>' \ --header 'Content-Type: application/json' \ --data '{ "steps": { "total": 3, "current": 2, "description": "Gathering data" }, "objects": { "total": 500, "processed": 125 } }'
    POST

    Post importsource {importSourceId} executions {importExecutionId} data

    Providing data to be ingested

    Data Security Policy: Exempt from app access rules
    Scopes
    import:import-configuration:cmdb

    Request

    Path parameters

    importExecutionId

    string

    Required
    importSourceId

    string

    Required

    Request bodyapplication/json

    any

    Responses

    This status code has no content.

    POST/importsource/{importSourceId}/executions/{importExecutionId}/data
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 curl --request POST \ --url 'https://api.atlassian.com/ex/jira/{cloudId}/jsm/assets/workspace/{workspaceId}/v1/importsource/{importSourceId}/executions/{importExecutionId}/data' \ --header 'Authorization: Bearer <access_token>' \ --header 'Content-Type: application/json' \ --data '{ "data": { "hardDrives": [ { "id": "Hard drive ID", "label": "Hard drive label", "files": [ { "path": "/file/path", "size": 123456 } ] } ] }, "clientGeneratedId": "a-unique-id", "completed": true }'
    GET

    Get importsource {importSourceId} executions {importExecutionId} status

    Get the status of the import

    Data Security Policy: Exempt from app access rules
    Scopes
    import:import-configuration:cmdb

    Request

    Path parameters

    importExecutionId

    string

    Required
    importSourceId

    string

    Required

    Responses

    application/json

    any

    GET/importsource/{importSourceId}/executions/{importExecutionId}/status
    1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/ex/jira/{cloudId}/jsm/assets/workspace/{workspaceId}/v1/importsource/{importSourceId}/executions/{importExecutionId}/status' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 { "status": "DONE", "progressResult": { "type": "IMPORT", "id": 438, "started": "2023-06-15T12:13:03.952+00:00", "ended": "2023-06-15T12:13:05.124+00:00", "objectSchemaId": 266, "result": "OK", "status": "FINISHED", "infoMessage": "No data to import", "jobId": "241d9437-eb25-4008-a346-8daafbb91026", "importSourceId": "3e9f17a6-61db-4bdd-a313-6dd38c81bfca", "populatedObjectTypes": [ "Operating System", "Hard Drive" ], "onlyExecutedForObjectTypes": [], "objectTypeResultMap": { "2547": { "id": null, "objectTypeName": "Hard Drive", "objectTypeId": 2547, "objectsUpdated": 0, "objectsCreated": 1, "objectsIdentical": 0, "objectsMissingUpdated": 0, "objectsMissingDeleted": 0, "entriesInSource": 1, "duplicateEnries": 0, "emptyLabelEntries": 0, "emptyExternalIdEntries": 0, "objectsFilteredWithQlQuery": 0, "errorMessages": null, "readExternalDataTimeInMs": 221, "mapExternalDataTimeInMs": 0, "qlQueryFilteringTimeInMs": 0, "decidingActionsTimeInMs": 0, "writeInsightDataTimeInMs": 154, "postFunctionTimeInMs": 0, "executionTimeInMs": 375, "objectsWithUpdatedReferences": 1 }, "2548": { "id": null, "objectTypeName": "Operating System", "objectTypeId": 2548, "objectsUpdated": 0, "objectsCreated": 2, "objectsIdentical": 0, "objectsMissingUpdated": 0, "objectsMissingDeleted": 0, "entriesInSource": 2, "duplicateEnries": 0, "emptyLabelEntries": 0, "emptyExternalIdEntries": 0, "objectsFilteredWithQlQuery": 0, "errorMessages": null, "readExternalDataTimeInMs": 220, "mapExternalDataTimeInMs": 0, "qlQueryFilteringTimeInMs": 0, "decidingActionsTimeInMs": 0, "writeInsightDataTimeInMs": 266, "postFunctionTimeInMs": 0, "executionTimeInMs": 486, "objectsWithUpdatedReferences": 0 } }, "errorMessages": null, "totalNumberEntriesInImport": 3 } }
    GET

    Get importsource {importSourceId} executions status

    Get the status of the most recently created import execution

    Data Security Policy: Exempt from app access rules
    Scopes
    import:import-configuration:cmdb

    Request

    Path parameters

    importSourceId

    string

    Required

    Responses

    application/json

    any

    GET/importsource/{importSourceId}/executions/status
    1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/ex/jira/{cloudId}/jsm/assets/workspace/{workspaceId}/v1/importsource/{importSourceId}/executions/status' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 { "status": "DONE", "progressResult": { "type": "IMPORT", "id": 438, "started": "2023-06-15T12:13:03.952+00:00", "ended": "2023-06-15T12:13:05.124+00:00", "objectSchemaId": 266, "result": "OK", "status": "FINISHED", "infoMessage": "No data to import", "jobId": "241d9437-eb25-4008-a346-8daafbb91026", "importSourceId": "3e9f17a6-61db-4bdd-a313-6dd38c81bfca", "populatedObjectTypes": [ "Operating System", "Hard Drive" ], "onlyExecutedForObjectTypes": [], "objectTypeResultMap": { "2547": { "id": null, "objectTypeName": "Hard Drive", "objectTypeId": 2547, "objectsUpdated": 0, "objectsCreated": 1, "objectsIdentical": 0, "objectsMissingUpdated": 0, "objectsMissingDeleted": 0, "entriesInSource": 1, "duplicateEnries": 0, "emptyLabelEntries": 0, "emptyExternalIdEntries": 0, "objectsFilteredWithQlQuery": 0, "errorMessages": null, "readExternalDataTimeInMs": 221, "mapExternalDataTimeInMs": 0, "qlQueryFilteringTimeInMs": 0, "decidingActionsTimeInMs": 0, "writeInsightDataTimeInMs": 154, "postFunctionTimeInMs": 0, "executionTimeInMs": 375, "objectsWithUpdatedReferences": 1 }, "2548": { "id": null, "objectTypeName": "Operating System", "objectTypeId": 2548, "objectsUpdated": 0, "objectsCreated": 2, "objectsIdentical": 0, "objectsMissingUpdated": 0, "objectsMissingDeleted": 0, "entriesInSource": 2, "duplicateEnries": 0, "emptyLabelEntries": 0, "emptyExternalIdEntries": 0, "objectsFilteredWithQlQuery": 0, "errorMessages": null, "readExternalDataTimeInMs": 220, "mapExternalDataTimeInMs": 0, "qlQueryFilteringTimeInMs": 0, "decidingActionsTimeInMs": 0, "writeInsightDataTimeInMs": 266, "postFunctionTimeInMs": 0, "executionTimeInMs": 486, "objectsWithUpdatedReferences": 0 } }, "errorMessages": null, "totalNumberEntriesInImport": 3 } }
    POST

    Post importsource {importSourceId} executions {executionId} history failed

    Creates a failed import history record for the specified import source and execution with the given failure reason

    Data Security Policy: Exempt from app access rules
    Scopes
    import:import-configuration:cmdb

    Request

    Path parameters

    importSourceId

    string

    Required
    executionId

    string

    Required

    Request bodyapplication/json

    any

    Responses

    Failed import history created successfully

    POST/importsource/{importSourceId}/executions/{executionId}/history/failed
    1 2 3 4 5 6 7 curl --request POST \ --url 'https://api.atlassian.com/ex/jira/{cloudId}/jsm/assets/workspace/{workspaceId}/v1/importsource/{importSourceId}/executions/{executionId}/history/failed' \ --header 'Authorization: Bearer <access_token>' \ --header 'Content-Type: application/json' \ --data '{ "failureReason": "Connection timeout while fetching data from external source" }'
    POST

    Post importsource {importSourceId} token

    Generate a Bearer token which can be used to authenticate against Assets /importsource/ APIs, to take actions against the specified import source.

    Data Security Policy: Exempt from app access rules
    Scopes
    import:import-configuration:cmdb

    Request

    This request has no parameters.

    Responses

    Returns a Bearer token which can be used to authenticate against Assets /importsource/ APIs, to take actions against the specified import source.

    application/json

    any

    POST/importsource/{importSourceId}/token
    1 2 3 4 curl --request POST \ --url 'https://api.atlassian.com/ex/jira/{cloudId}/jsm/assets/workspace/{workspaceId}/v1/importsource/{importSourceId}/token' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 { "token": "ATCTT3xFfGN...XYZ" }
    GET

    Get importsource {importSourceId} schedule

    Retrieve links for import schedule operations (create, get, update, delete). Returns a createSchedule link to POST a new schedule, and if a schedule already exists, returns a schedule link that can be used with GET, PUT, or DELETE operations.

    Data Security Policy: Exempt from app access rules
    Scopes
    import:import-configuration:cmdb

    Request

    Path parameters

    importSourceId

    string

    Required

    Responses

    Schedule links retrieved successfully

    application/json

    object
    GET/importsource/{importSourceId}/schedule
    1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/ex/jira/{cloudId}/jsm/assets/workspace/{workspaceId}/v1/importsource/{importSourceId}/schedule' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 { "links": { "createSchedule": "https://api.atlassian.com/jsm/insight/workspace/fd8d86e0-3401-40bd-adb4-bb50b8e39288/v1/importsource/4d4095c3-cb7c-4d59-9b75-a381ea4b1975/importschedule", "schedule": "https://api.atlassian.com/jsm/insight/workspace/fd8d86e0-3401-40bd-adb4-bb50b8e39288/v1/importsource/4d4095c3-cb7c-4d59-9b75-a381ea4b1975/importschedule/a1b2c3d4-e5f6-7890-abcd-ef1234567890" }, "result": "success" }
    POST

    Create import schedule

    Creates a new scheduled import configuration for the specified import source. Scheduled imports allow you to automate data imports on a recurring basis (daily, weekly, monthly) or run them once at a specific time.

    Data Security Policy: Exempt from app access rules
    Scopes
    import:import-configuration:cmdb

    Request

    Path parameters

    importSourceId

    string

    Required

    Request bodyapplication/json

    startTime

    string

    Required
    runInterval

    string

    Required
    callbackUrl

    string

    Responses

    Import schedule created successfully

    application/json

    ImportScheduleResponse
    POST/importsource/{importSourceId}/importschedule
    1 2 3 4 5 6 7 8 9 curl --request POST \ --url 'https://api.atlassian.com/ex/jira/{cloudId}/jsm/assets/workspace/{workspaceId}/v1/importsource/{importSourceId}/importschedule' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "startTime": "2024-01-15T02:00:00Z", "runInterval": "DAILY" }'
    200Response
    1 2 3 4 5 6 7 8 9 { "id": "a8f5f167-a7e1-4b3a-9e4f-2c3d4e5f6a7b", "importSourceId": "b9f5f167-a7e1-4b3a-9e4f-2c3d4e5f6a7c", "startTime": "2024-01-15T02:00:00Z", "runInterval": "DAILY", "created": "2024-01-10T10:30:00Z", "updated": "2024-01-12T14:45:00Z", "collectionId": "c7d8e9f0-1234-5678-9abc-def012345678" }
    GET

    Get import schedule

    Retrieves a specific scheduled import configuration by ID

    Data Security Policy: Exempt from app access rules
    Scopes
    import:import-configuration:cmdb

    Request

    Path parameters

    importSourceId

    string

    Required
    importScheduleId

    string

    Required

    Responses

    Import schedule retrieved successfully

    application/json

    ImportScheduleResponse
    GET/importsource/{importSourceId}/importschedule/{importScheduleId}
    1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/ex/jira/{cloudId}/jsm/assets/workspace/{workspaceId}/v1/importsource/{importSourceId}/importschedule/{importScheduleId}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 { "id": "a8f5f167-a7e1-4b3a-9e4f-2c3d4e5f6a7b", "importSourceId": "b9f5f167-a7e1-4b3a-9e4f-2c3d4e5f6a7c", "startTime": "2024-01-15T02:00:00Z", "runInterval": "DAILY", "created": "2024-01-10T10:30:00Z", "updated": "2024-01-12T14:45:00Z", "collectionId": "c7d8e9f0-1234-5678-9abc-def012345678" }
    PUT

    Update import schedule

    Updates an existing scheduled import configuration. You can modify the start time, run interval, or callback URL.

    Data Security Policy: Exempt from app access rules
    Scopes
    import:import-configuration:cmdb

    Request

    Path parameters

    importSourceId

    string

    Required
    importScheduleId

    string

    Required

    Request bodyapplication/json

    startTime

    string

    Required
    runInterval

    string

    Required
    callbackUrl

    string

    Responses

    Import schedule updated successfully

    application/json

    ImportScheduleResponse
    PUT/importsource/{importSourceId}/importschedule/{importScheduleId}
    1 2 3 4 5 6 7 8 9 curl --request PUT \ --url 'https://api.atlassian.com/ex/jira/{cloudId}/jsm/assets/workspace/{workspaceId}/v1/importsource/{importSourceId}/importschedule/{importScheduleId}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "startTime": "2024-02-01T10:00:00Z", "runInterval": "WEEKLY" }'
    200Response
    1 2 3 4 5 6 7 8 9 { "id": "a8f5f167-a7e1-4b3a-9e4f-2c3d4e5f6a7b", "importSourceId": "b9f5f167-a7e1-4b3a-9e4f-2c3d4e5f6a7c", "startTime": "2024-01-15T02:00:00Z", "runInterval": "DAILY", "created": "2024-01-10T10:30:00Z", "updated": "2024-01-12T14:45:00Z", "collectionId": "c7d8e9f0-1234-5678-9abc-def012345678" }
    DEL

    Delete import schedule

    Deletes a scheduled import configuration. The import source will remain, but will no longer execute on a schedule.

    Data Security Policy: Exempt from app access rules
    Scopes
    import:import-configuration:cmdb

    Request

    Path parameters

    importSourceId

    string

    Required
    importScheduleId

    string

    Required

    Responses

    Import schedule deleted successfully

    DEL/importsource/{importSourceId}/importschedule/{importScheduleId}
    1 2 3 curl --request DELETE \ --url 'https://api.atlassian.com/ex/jira/{cloudId}/jsm/assets/workspace/{workspaceId}/v1/importsource/{importSourceId}/importschedule/{importScheduleId}' \ --header 'Authorization: Bearer <access_token>'

    Rate this page: